Bug 135669 - (IT_71111) tcsendbreak fails in compat mode
tcsendbreak fails in compat mode
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Brian Brock
:
Depends On:
Blocks: 154907 156322
  Show dependency treegraph
 
Reported: 2004-10-14 05:36 EDT by Gordon Jin
Modified: 2013-03-06 00:57 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 08:30:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
compat_ioctl_tcsbrkp.patch (2.28 KB, patch)
2004-11-10 20:31 EST, Gordon Jin
no flags Details | Diff

  None (edit)
Description Gordon Jin 2004-10-14 05:36:10 EDT
Description of problem:
ioctl TCSBRKP is needed for POSIX tcsendbreak().  
But arch/x86_64/ia32 doesn't support TCSBRKP.
So x86 application calling tcsendbreak() will fail on x86_64 with 
compat mode.

How reproducible:
Always

Steps to Reproduce:
Run an x86 program calling tcsendbreak() in compat mode.
E.g. LTP case ptem01 uses tcsendbreak(), which calls ioctl(3, 
TCSBRKP, 0x1). 
  
Actual results:
The call failed.

Expected results:
The call should succeed.
Comment 1 Gordon Jin 2004-10-14 05:41:24 EDT
I'll post the patch later.
The solution to add TCSBRKP in arch/x86_64/ia32/ia32_ioctl.c is 
simple. 
But better we need discuss with other compat archs to see if it's OK 
to moving it to compat_ioctl.c.
Comment 2 Gordon Jin 2004-11-10 20:31:45 EST
Created attachment 106465 [details]
compat_ioctl_tcsbrkp.patch

This patch fixes.
It's already sent to community, and will probably go into mainstream soon.
Comment 3 Gordon Jin 2004-12-02 12:36:22 EST
How about including this patch in RHEL4?
Comment 4 Keve Gabbert 2005-01-31 04:22:53 EST
Gordon, has this patch been accepted upstream?
Comment 5 Gordon Jin 2005-01-31 22:20:01 EST
I just checked and found the answer is no. It looks like it is 
dropped somehow. I'm pushing again.
Comment 6 Gordon Jin 2005-03-09 03:05:03 EST
This patch has been in mainline tree:
http://linux.bkbits.net:8080/linux-2.5/cset@1.2020.4.114

Please apply.
Comment 18 Red Hat Bugzilla 2005-10-05 08:30:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html

Note You need to log in before you can comment on or make changes to this bug.